package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import lingtao.net.bean.FinanceExtract;

@Mapper
public interface FinanceExtractMapper {

	List<FinanceExtract> getFinanceExtract(FinanceExtract financeExtract);

	void insertForeach(List<FinanceExtract> list);

	// 查询数据是否存在，避免重复上传
	String checkAccountNumber(@Param("orderNumber") String orderNumber);

	List<String> getFilename_extract(@Param("creator") String creator);

	@Delete("delete from tbl_sys_finance_extract where filename = #{filename} and creator = #{realname}")
	void deleteDataByFilename(@Param("filename") String filename, @Param("realname") String realname);

}
